Subject: [PATCH 4/6] kirkwood: setup clock only in eth helpers.

From: [email-masked] (Andrew Lunn)
Date: Mon, 30 Jul 2012 21:10:58 +0200

> I find that even if built in, it fails, not because it forgets its MAC, but
> later, it hangs because as yet it does not know how to handle the clk
> when it is set up from DT bindings. (Kirkwood doesnt really have this
> support yet AFAICT).

Ah, of course. You are missing auxdata in board-dt.c!

    Andrew